All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Portal |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.portal.portlet
Interface PortletActionInterface

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  DefaultPortletAction, HTMLPortletAction

    public interface PortletActionInterface

extends java.io.Serializable

Interface which all portlet actions must implement. The `service()` method can be overridden to set properties on the response, such as `response.setContentType("text/html;charset=UTF-8")`to allow non-Latin1 languages render via UTF-8. It also allows you to set and retrieve an instance of PortletActionInfoInterface.``

Since:
  09/02/2002

Method Summary
`com.sas.portal.container.deployment.PortletActionInfoInterface` | `getInfo()` Gets the deployment descriptor metadata corresponding to this concrete action instance.
`java.lang.String` | `service(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, PortletContext context)` Integration point for portlet actions.
`void` | `setInfo(com.sas.portal.container.deployment.PortletActionInfoInterface info)` Sets the PortletActionInfoInterface for the given PortletAction.

Method Detail

### service

    java.lang.String service(javax.servlet.http.HttpServletRequest request,
                             javax.servlet.http.HttpServletResponse response,
                             PortletContext context)
                             throws java.lang.Exception

  Integration point for portlet actions.

  Parameters:
    `request` - The HtppServletRequest associated with the method invocation
    `response` - HttpServletResponse associated with the method invocation
    `context` - PortletContext mapped to the request path
  Returns:
    `java.lang.String` - representing a valid URL.
  Throws:
    `java.lang.Exception` - if anything went wrong
  See Also:
    `service(HttpServletRequest, HttpServletResponse, PortletContext)`

### setInfo

    void setInfo(com.sas.portal.container.deployment.PortletActionInfoInterface info)

  Sets the PortletActionInfoInterface for the given PortletAction. This allows each concrete portlet action class to have a reference to its deployment descriptor metadata.

  Parameters:
    `info` - PortletActionInfoInterface - deployment descriptor metadata
  See Also:
    `setInfo(PortletActionInfoInterface)`

### getInfo

    com.sas.portal.container.deployment.PortletActionInfoInterface getInfo()

  Gets the deployment descriptor metadata corresponding to this concrete action instance.

  Returns:
    PortletActionInfoInterface - deployment descriptor metadata
  See Also:
    `getInfo()`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Portal |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.